****Analysis neighboorhood

clear
use "/ssb/ovibos/a1/swp/kav/wk24/data/neighborhood_leave.dta"
log using /ssb/ovibos/a1/swp/kav/wk24/aer_neigh.smcl, replace

***create analysis


gen loww=mdy(10,1,1992)
gen highw=mdy(9,30,1993)
format loww highw %td

*one variable for birth year of child of father. note: only allow one child in the window. First priority: 1993
gen fodtaar_child=child93faar if kjonn==1
replace fodtaar_child=child92faar if fodtaar_child==. & kjonn==1
replace fodtaar_child=child94faar if fodtaar_child==. & kjonn==1
format fodtaar_child %td

gen year_child=year(fodtaar_child)

*days and fraction of leave for father
gen fdays93=days_1_f if efodtaar_1_f<highw & efodtaar_1_f>loww & fodtaar_child!=.
replace fdays93=days_2_f if efodtaar_2_f<highw & efodtaar_2_f>loww & fdays93==. & fodtaar_child!=.
replace fdays93=days_3_f if efodtaar_3_f<highw & efodtaar_3_f>loww & fdays93==. & fodtaar_child!=.
replace fdays93=days_4_f if efodtaar_4_f<highw & efodtaar_4_f>loww & fdays93==. 
replace fdays93=0 if ((fodtaar_child>loww & fodtaar_child!=.) &(fodtaar_child<highw & fodtaar_child!=.)) & fdays93==. & kjonn==1

gen ffrac93=1 if fdays93>0 & fdays93!=.
replace ffrac93=0 if fdays93==0

tab ffrac93 if fodtaar_child<12144 
tab ffrac93 if fodtaar_child>=12144

gen high06=.
gen low94=mdy(1,1,1992)

***gen days and frac for first child born after 1992-2006 - all
gen fdays9206=days_1_f if efodtaar_1_f>low94 & efodtaar_1_f!=.
replace fdays9206=days_2_f if efodtaar_2_f>low94 & fdays9206==. & efodtaar_2_f!=.
replace fdays9206=days_3_f if efodtaar_3_f>low94 & fdays9206==. & efodtaar_3_f!=.
replace fdays9206=days_4_f if efodtaar_4_f>low94 & fdays9206==. & efodtaar_4_f!=.
replace fdays9206=0 if (firstchild9206faar!=.) & fdays9206==. & kjonn==1

gen ffrac9206=1 if fdays9206>0 & fdays9206!=.
replace ffrac9206=0 if fdays9206==0

**identify two closest neighboors on each side of the house and give them a unique number

replace husnr=husnr+(bokstav*10000)

drop if postnr==0
gen close=1 if ffrac93!=.
gen circle=.
recast double circle
replace circle=postnr+(gatenr*10000)+(husnr*10000000000) if ffrac93!=.
order postnr gatenr husnr bokstav close circle ffrac93 ffrac9206

*first house up
sort postnr gatenr husnr bokstav close circle ffrac93 ffrac9206
replace circle=circle[_n+1] if close[_n+1]==1 & gatenr==gatenr[_n+1] & ffrac93[_n+1]!=.
replace close=1 if close[_n+1]==1 & gatenr==gatenr[_n+1]

*second house up 
sort postnr gatenr husnr bokstav close circle ffrac93 ffrac9206
replace circle=circle[_n+1]  if close[_n+1]==1 & gatenr==gatenr[_n+1] & ffrac93[_n+1]==.
replace close=1 if close[_n+1]==1 & gatenr==gatenr[_n+1] & ffrac93[_n+1]==.

*first house down
gsort postnr gatenr -husnr -bokstav -close -circle ffrac93 ffrac9206
replace circle=circle[_n+1] if close[_n+1]==1 & gatenr==gatenr[_n+1] & ffrac93[_n+1]!=.
replace close=1 if close[_n+1]==1 & gatenr==gatenr[_n+1] & ffrac93[_n+1]!=.
*second house down
gsort postnr gatenr -husnr -bokstav -close -circle ffrac93 ffrac9206
replace circle=circle[_n+1] if close[_n+1]==1 & gatenr==gatenr[_n+1] & husnr[_n+1]<husnr & ffrac93[_n+1]==.
replace close=1 if close[_n+1]==1 & gatenr==gatenr[_n+1] & husnr[_n+1]<husnr & ffrac93[_n+1]==.

*fill in for all members of household
sort postnr gatenr husnr bokstav close circle ffrac93 ffrac9206
replace circle=circle[_n-1] if close[_n-1]==1 & gatenr==gatenr[_n-1] & husnr==husnr[_n-1] & bokstav==bokstav[_n-1]
replace close=1 if close[_n-1]==1 & gatenr==gatenr[_n-1] & husnr==husnr[_n-1] & bokstav==bokstav[_n-1]

keep if close==1

*gen education, marital status, county year before birth for father
***note: have to make all variables for fathers here, based on birth date of child
*later, can use same variables for colleagues
gen educ=educ1991 if year_child==1992
replace educ=educ1992 if year_child==1993
replace educ=educ1993 if year_child==1994

gen coll=1 if educ>13 & educ!=.
replace coll=0 if coll==. & educ!=.

gen mbefore=(mstat1991==2) if mstat1991!=. & year_child==1992
replace mbefore=(mstat1992==2) if mstat1992!=. & year_child==1993
replace mbefore=(mstat1993==2) if mstat1993!=. & year_child==1994

gen county=int(mun1991/100) if year_child==1992
replace county=int(mun1992/100) if year_child==1993
replace county=int(mun1993/100) if year_child==1994

gen year=year(fodtaar)
gen age_far=year_child-year

*female child
gen female=1 if child92kjonn==2 & year_child==1992
replace female=0 if child92kjonn==1 & year_child==1992
replace female=1 if child93kjonn==2 & year_child==1993
replace female=0 if child93kjonn==1 & year_child==1993
replace female=1 if child94kjonn==2 & year_child==1994
replace female=0 if child94kjonn==1 & year_child==1994

*order child
gen order_child=child92order if year_child==1992
replace order_child=child93order if year_child==1993
replace order_child=child94order if year_child==1994

*lnr
gen lnr_cowork=.
recast double lnr_cowork
replace lnr_cowork=lnr

*format age father
format fodtaar %td
*only colleagues, not fathers next child
replace ffrac9206=. if ffrac9206!=. & ffrac93!=. & fodtaar_child>loww & fodtaar_child<highw
replace fdays9206=. if fdays9206!=. & fdays93!=. & fodtaar_child>loww & fodtaar_child<highw
sum ffrac9206

*eligibility for mother
*numbers for G - to create eligibility and employment
gen G1991=35033
gen G1992=36167
gen G1993=37033
gen G1994=37820
gen G1995=38847
gen G1996=40410
gen G1997=42000
gen G1998=44413
gen G1999=46423
gen G2000=48377
gen G2001=50603
gen G2002=53233
gen G2003=55964
gen G2004=58139
gen G2005=60059


*eligibility status based on mothers earnings

gen eligible=1 if mor92_inc91>G1991 & mor92_inc91!=. & year_child==1992
replace eligible=1 if mor93_inc92>G1992 & mor93_inc92!=. & year_child==1993
replace eligible=1 if mor94_inc93>G1993 & mor94_inc93!=. & year_child==1994
replace eligible=0 if eligible==.

***create neighboor  with only one birth in the window

count
gen fchild93=1 if ffrac93!=. & (fodtaar_child>loww & fodtaar_child<highw)
replace fchild93=0 if fchild93==.
tab fchild93
recast double circle
sort circle fchild93
sum circle
by circle: egen firm_havechild_f=sum(fchild93)
sum firm_havechild_f
keep if firm_havechild_f==1
count


sum ffrac9206

rename circle street

*****regressions

gen fodtaar_child2=fodtaar_child

gen reform=1 if  fodtaar_child>=12144 & fodtaar_child!=. & kjonn==1 & fodtaar_child<highw
replace reform=0 if fodtaar_child<12144 & kjonn==1 & fodtaar_child>loww

gen nreform=1 if fodtaar_child<12144 & kjonn==1 & fodtaar_child>loww
replace nreform=0 if  fodtaar_child>=12144 & fodtaar_child!=. & kjonn==1 & fodtaar_child<highw

replace lnr=. if reform==.
replace fodtaar_child=. if reform==.
replace year_child=. if reform==.
replace ffrac93=. if reform==.
replace fdays93=. if reform==.
replace coll=. if reform==.
replace mbefore=. if reform==.
replace county=. if reform==.
replace female=. if reform==.
replace eligible=. if reform==.
replace age_far=. if reform==.
replace order_child=. if reform==.

sort street reform 
replace reform=reform[_n-1] if street==street[_n-1] & reform==.
replace nreform=nreform[_n-1] if street==street[_n-1] & nreform==.
replace fodtaar_child=fodtaar_child[_n-1] if street==street[_n-1] & fodtaar_child==.
replace year_child=year_child[_n-1] if street==street[_n-1] & year_child==. 
replace coll=coll[_n-1] if street==street[_n-1] & coll ==.
replace mbefore=mbefore[_n-1] if street==street[_n-1] & mbefore==.
replace county=county[_n-1] if street==street[_n-1] & county==.
replace fdays93=fdays93[_n-1] if street==street[_n-1] & fdays93==.
replace ffrac93=ffrac93[_n-1] if street==street[_n-1] & ffrac93==.
replace female=female[_n-1] if street==street[_n-1] & female==.
replace eligible=eligible[_n-1] if street==street[_n-1] & eligible==. 
replace age_far=age_far[_n-1] if  street==street[_n-1] & age_far==. 
replace order_child=order_child[_n-1] if  street==street[_n-1] & order_child==. 
replace lnr=lnr[_n-1] if  street==street[_n-1] & lnr==. 

gen age_far2=age_far*age_far

*only colleagues not having children prior to 1994
drop if firstchild9206faar<(fodtaar_child) & ffrac9206!=.

sum fodtaar_child highw loww ffrac9206 if fodtaar_child>loww & fodtaar_child<highw
sum ffrac9206



*fertility of male colleagues
gen ffert9206=1 if ffrac9206!=.
replace ffert9206=0 if ffert9206==. & kjonn==1

*characteristics coworker
gen coll_cowork=1 if educ1991>13 & year_child==1992 & educ1991!=. & ffert9206!=.
replace coll_cowork=0 if coll_cowork==. & educ1991!=. & year_child==1992 & ffert9206!=.
replace coll_cowork=1 if educ1992>13 & year_child==1993 & educ1992!=. & ffert9206!=.
replace coll_cowork=0 if coll_cowork==. & educ1992!=. & year_child==1993 & ffert9206!=.
replace coll_cowork=1 if educ1993>13 & year_child==1994 & educ1993!=. & ffert9206!=.
replace coll_cowork=0 if coll_cowork==. & educ1993!=. & year_child==1994 & ffert9206!=.

gen female_cowork=1 if firstchild9206kjonn==2 & ffert9206!=.
replace female_cowork=0 if firstchild9206kjonn==1 & ffert9206!=.




*Earnings coworker 3-x years after having a child
forvalues i=1996(1)2008{
replace inc`i'=0 if inc`i'==.
}

gen inc_cowork=(inc1996+(inc1997/1.023)+(inc1998/(1.023^2))+(inc1999/(1.023^3))+(inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/13 if year(firstchild9206faar)==1993 & kjonn==1
replace inc_cowork=((inc1997/1.023)+(inc1998/(1.023^2))+(inc1999/(1.023^3))+(inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/12 if year(firstchild9206faar)==1994 & kjonn==1
replace inc_cowork=((inc1998/(1.023^2))+(inc1999/(1.023^3))+(inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/11 if year(firstchild9206faar)==1995 & kjonn==1
replace inc_cowork=((inc1999/(1.023^3))+(inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/10 if year(firstchild9206faar)==1996 & kjonn==1
replace inc_cowork=((inc2000/(1.023^4))+(inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/9 if year(firstchild9206faar)==1997 & kjonn==1
replace inc_cowork=((inc2001/(1.023^5))+(inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/8 if year(firstchild9206faar)==1998 & kjonn==1
replace inc_cowork=((inc2002/(1.023^6))+(inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/7 if year(firstchild9206faar)==1999 & kjonn==1
replace inc_cowork=((inc2003/(1.023^7))+(inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/6 if year(firstchild9206faar)==2000 & kjonn==1
replace inc_cowork=((inc2004/(1.023^8))+(inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/5 if year(firstchild9206faar)==2001 & kjonn==1
replace inc_cowork=((inc2005/(1.023^9))+(inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/4 if year(firstchild9206faar)==2002 & kjonn==1
replace inc_cowork=((inc2006/(1.023^10))+(inc2007/(1.023^11))+(inc2008/(1.023^12)))/3 if year(firstchild9206faar)==2003 & kjonn==1
replace inc_cowork=((inc2007/(1.023^11))+(inc2008/(1.023^12)))/2 if year(firstchild9206faar)==2004 & kjonn==1
replace inc_cowork=((inc2008/(1.023^12)))/1 if (year(firstchild9206faar)==2005|year(firstchild9206faar)==2006) & kjonn==1

*Earnings 3 years after
gen inc3_cowork=inc1996 if year(firstchild9206faar)==1993 & kjonn==1
replace inc3_cowork=inc1997 if year(firstchild9206faar)==1994 & kjonn==1
replace inc3_cowork=inc1998 if year(firstchild9206faar)==1995 & kjonn==1
replace inc3_cowork=inc1999 if year(firstchild9206faar)==1996 & kjonn==1
replace inc3_cowork=inc2000 if year(firstchild9206faar)==1997 & kjonn==1
replace inc3_cowork=inc2001 if year(firstchild9206faar)==1998 & kjonn==1
replace inc3_cowork=inc2002 if year(firstchild9206faar)==1999 & kjonn==1
replace inc3_cowork=inc2003 if year(firstchild9206faar)==2000 & kjonn==1
replace inc3_cowork=inc2004 if year(firstchild9206faar)==2001 & kjonn==1
replace inc3_cowork=inc2005 if year(firstchild9206faar)==2002 & kjonn==1
replace inc3_cowork=inc2006 if year(firstchild9206faar)==2003 & kjonn==1
replace inc3_cowork=inc2007 if year(firstchild9206faar)==2004 & kjonn==1
replace inc3_cowork=inc2008 if year(firstchild9206faar)==2005 & kjonn==1
replace inc3_cowork=inc2008 if year(firstchild9206faar)==2006 & kjonn==1
count

*genereate month and week
gen month=month(fodtaar_child)
forvalues i=1(1)12{
replace month=`i'-12 if month==`i' & fodtaar_child<12054
replace month=12+`i' if month==`i' & fodtaar_child>12419
} 


gen week=week(fodtaar_child)
forvalues i=1(1)52{
replace week=`i'-52 if week==`i' & fodtaar_child<12054
replace week=52+`i' if week==`i' & fodtaar_child>12419
}

***generate linear slopes

*days
gen dslope=fodtaar_child-12144
gen dslope1=dslope*reform
gen dslope2=dslope*nreform
gen dslope12=dslope1*dslope1
gen dslope22=dslope2*dslope2
gen dslope13=dslope1*dslope1*dslope1
gen dslope23=dslope2*dslope2*dslope2

*week
gen wslope=week-12
gen wslope1=wslope*reform
gen wslope2=wslope*nreform
gen wslope12=wslope1*wslope1
gen wslope22=wslope2*wslope2

*month
gen mslope=month-3
gen mslope1=mslope*reform
gen mslope2=mslope*nreform
gen mslope12=mslope1*mslope1
gen mslope22=mslope2*mslope2

***triangular weights
gen triw=1-abs((fodtaar_child-12144)/181)
replace triw=1/181 if triw==0

**restrictions
drop if eligible==0
keep if fodtaar_child<highw & fodtaar_child>loww
drop if fodtaar_child>mdy(3,24,1993) & fodtaar_child<mdy(4, 8,1993)
drop if sizegatenr>500

gen miss1=(coll==.)
gen miss2=(county==.)
gen miss3=(mbefore==.)

replace coll=-7 if coll==.
replace county=-8 if county==.
replace mbefore=-9 if mbefore==.  


****Table 2, panel B

*RD estimates for peer effects of fathers on their neighboor

*reduced form 
xi: reg ffrac9206 reform dslope1 dslope2 coll i.county mbefore age_far age_far2 female miss1 miss2 miss3 [pw=triw] if ffrac9206!=., robust cluster(street)

*IV and first stage
xi: ivreg2 ffrac9206 (ffrac93=reform) dslope1 dslope2 coll i.county mbefore age_far age_far2 female miss1 miss2 miss3 [pw=triw] if ffrac9206!=., robust cluster(street) first

*sample means
sum ffrac93 ffrac9206 if reform==0 & ffrac9206!=.

log close
