


clear
use "/ssb/ovibos/a1/swp/kav/wk24/data/allbirths9206.dta"
log using /ssb/ovibos/a1/swp/kav/wk24/aer_totalsample.smcl, replace

***create eligibility

*numbers for G - to create eligibility and employment
gen G1991=35033
gen G1992=36167
gen G1993=37033
gen G1994=37820
gen G1995=38847
gen G1996=40410
gen G1997=42000
gen G1998=44413
gen G1999=46423
gen G2000=48377
gen G2001=50603
gen G2002=53233
gen G2003=55964
gen G2004=58139
gen G2005=60059


*mother eligible
gen eligible=1 if minc1991>G1991 & minc1991!=. & faar==1992
replace eligible=1 if minc1992>G1992 & minc1992!=. & faar==1993
replace eligible=1 if minc1993>G1993 & minc1993!=. & faar==1994
replace eligible=1 if minc1994>G1994 & minc1994!=. & faar==1995
replace eligible=1 if minc1995>G1995 & minc1995!=. & faar==1996
replace eligible=1 if minc1996>G1996 & minc1996!=. & faar==1997
replace eligible=1 if minc1997>G1997 & minc1997!=. & faar==1998
replace eligible=1 if minc1998>G1998 & minc1998!=. & faar==1999
replace eligible=1 if minc1999>G1999 & minc1999!=. & faar==2000
replace eligible=1 if minc2000>G2000 & minc2000!=. & faar==2001
replace eligible=1 if minc2001>G2001 & minc2001!=. & faar==2002
replace eligible=1 if minc2002>G2002 & minc2002!=. & faar==2003
replace eligible=1 if minc2003>G2003 & minc2003!=. & faar==2004
replace eligible=1 if minc2004>G2004 & minc2004!=. & faar==2005
replace eligible=1 if minc2005>G2005 & minc2005!=. & faar==2006
replace eligible=0 if eligible==.

*father eligibile
gen feligible=1 if finc1991>G1991 & finc1991!=. & faar==1992
replace feligible=1 if finc1992>G1992 & finc1992!=. & faar==1993
replace feligible=1 if finc1993>G1993 & finc1993!=. & faar==1994
replace feligible=1 if finc1994>G1994 & finc1994!=. & faar==1995
replace feligible=1 if finc1995>G1995 & finc1995!=. & faar==1996
replace feligible=1 if finc1996>G1996 & finc1996!=. & faar==1997
replace feligible=1 if finc1997>G1997 & finc1997!=. & faar==1998
replace feligible=1 if finc1998>G1998 & finc1998!=. & faar==1999
replace feligible=1 if finc1999>G1999 & finc1999!=. & faar==2000
replace feligible=1 if finc2000>G2000 & finc2000!=. & faar==2001
replace feligible=1 if finc2001>G2001 & finc2001!=. & faar==2002
replace feligible=1 if finc2002>G2002 & finc2002!=. & faar==2003
replace feligible=1 if finc2003>G2003 & finc2003!=. & faar==2004
replace feligible=1 if finc2004>G2004 & finc2004!=. & faar==2005
replace feligible=1 if finc2005>G2005 & finc2005!=. & faar==2006
replace feligible=0 if feligible==.

gen eligibletot=1 if eligible==1 & feligible==1
replace eligibletot=0 if eligibletot==.


****number of births per day

tostring fodtaar, replace format(%20.0f)
gen efodtaar=date(fodtaar, "YMD")
format efodtaar %td
drop fodtaar 
rename efodtaar fodtaar


**plot takeup for fathers across time 1992-2006
 
*takeup first four children from 1992-2008
 
gen takeup=1 if days_1_f>0 & days_1_f!=. & efodtaar_1_f==fodtaar & fodtaar!=.
replace takeup=1 if days_2_f>0 & days_2_f!=. & efodtaar_2_f==fodtaar & fodtaar!=.
replace takeup=1 if days_3_f>0 & days_3_f!=. & efodtaar_3_f==fodtaar & fodtaar!=.
replace takeup=1 if days_4_f>0 & days_4_f!=. & efodtaar_4_f==fodtaar & fodtaar!=.
 
replace takeup=0 if takeup==. & fodtaar!=.


***Figure 1
***Paternity leave take up by quarter of year for all eligible fathers

gen year2=year(fodtaar)
replace year2=1992.25 if year2==1992 & fodtaar>=mdy(4,1,1992) & fodtaar<=mdy(6,30,1992)
replace year2=1992.50 if year2==1992 & fodtaar>=mdy(7,1,1992) & fodtaar<=mdy(9,30,1992)
replace year2=1992.75 if year2==1992 & fodtaar>=mdy(10,1,1992) & fodtaar<=mdy(12,31,1992)
replace year2=1993.25 if year2==1993 & fodtaar>=mdy(4,1,1993) & fodtaar<=mdy(6,30,1993)
replace year2=1993.50 if year2==1993 & fodtaar>=mdy(7,1,1993) & fodtaar<=mdy(9,30,1993)
replace year2=1993.75 if year2==1993 & fodtaar>=mdy(10,1,1993) & fodtaar<=mdy(12,31,1993)
replace year2=1994.25 if year2==1994 & fodtaar>=mdy(4,1,1994) & fodtaar<=mdy(6,30,1994)
replace year2=1994.50 if year2==1994 & fodtaar>=mdy(7,1,1994) & fodtaar<=mdy(9,30,1994)
replace year2=1994.75 if year2==1994 & fodtaar>=mdy(10,1,1994) & fodtaar<=mdy(12,31,1994)
replace year2=1995.25 if year2==1995 & fodtaar>=mdy(4,1,1995) & fodtaar<=mdy(6,30,1995)
replace year2=1995.50 if year2==1995 & fodtaar>=mdy(7,1,1995) & fodtaar<=mdy(9,30,1995)
replace year2=1995.75 if year2==1995 & fodtaar>=mdy(10,1,1995) & fodtaar<=mdy(12,31,1995)
replace year2=1996.25 if year2==1996 & fodtaar>=mdy(4,1,1996) & fodtaar<=mdy(6,30,1996)
replace year2=1996.50 if year2==1996 & fodtaar>=mdy(7,1,1996) & fodtaar<=mdy(9,30,1996)
replace year2=1996.75 if year2==1996 & fodtaar>=mdy(10,1,1996) & fodtaar<=mdy(12,31,1996)
replace year2=1997.25 if year2==1997 & fodtaar>=mdy(4,1,1997) & fodtaar<=mdy(6,30,1997)
replace year2=1997.50 if year2==1997 & fodtaar>=mdy(7,1,1997) & fodtaar<=mdy(9,30,1997)
replace year2=1997.75 if year2==1997 & fodtaar>=mdy(10,1,1997) & fodtaar<=mdy(12,31,1997)
replace year2=1998.25 if year2==1998 & fodtaar>=mdy(4,1,1998) & fodtaar<=mdy(6,30,1998)
replace year2=1998.50 if year2==1998 & fodtaar>=mdy(7,1,1998) & fodtaar<=mdy(9,30,1998)
replace year2=1998.75 if year2==1998 & fodtaar>=mdy(10,1,1998) & fodtaar<=mdy(12,31,1998)
replace year2=1999.25 if year2==1999 & fodtaar>=mdy(4,1,1999) & fodtaar<=mdy(6,30,1999)
replace year2=1999.50 if year2==1999 & fodtaar>=mdy(7,1,1999) & fodtaar<=mdy(9,30,1999)
replace year2=1999.75 if year2==1999 & fodtaar>=mdy(10,1,1999) & fodtaar<=mdy(12,31,1999)
replace year2=2000.25 if year2==2000 & fodtaar>=mdy(4,1,2000) & fodtaar<=mdy(6,30,2000)
replace year2=2000.50 if year2==2000 & fodtaar>=mdy(7,1,2000) & fodtaar<=mdy(9,30,2000)
replace year2=2000.75 if year2==2000 & fodtaar>=mdy(10,1,2000) & fodtaar<=mdy(12,31,2000)
replace year2=2001.25 if year2==2001 & fodtaar>=mdy(4,1,2001) & fodtaar<=mdy(6,30,2001)
replace year2=2001.50 if year2==2001 & fodtaar>=mdy(7,1,2001) & fodtaar<=mdy(9,30,2001)
replace year2=2001.75 if year2==2001 & fodtaar>=mdy(10,1,2001) & fodtaar<=mdy(12,31,2001)
replace year2=2002.25 if year2==2002 & fodtaar>=mdy(4,1,2002) & fodtaar<=mdy(6,30,2002)
replace year2=2002.50 if year2==2002 & fodtaar>=mdy(7,1,2002) & fodtaar<=mdy(9,30,2002)
replace year2=2002.75 if year2==2002 & fodtaar>=mdy(10,1,2002) & fodtaar<=mdy(12,31,2002)
replace year2=2003.25 if year2==2003 & fodtaar>=mdy(4,1,2003) & fodtaar<=mdy(6,30,2003)
replace year2=2003.50 if year2==2003 & fodtaar>=mdy(7,1,2003) & fodtaar<=mdy(9,30,2003)
replace year2=2003.75 if year2==2003 & fodtaar>=mdy(10,1,2003) & fodtaar<=mdy(12,31,2003)
replace year2=2004.25 if year2==2004 & fodtaar>=mdy(4,1,2004) & fodtaar<=mdy(6,30,2004)
replace year2=2004.50 if year2==2004 & fodtaar>=mdy(7,1,2004) & fodtaar<=mdy(9,30,2004)
replace year2=2004.75 if year2==2004 & fodtaar>=mdy(10,1,2004) & fodtaar<=mdy(12,31,2004)
replace year2=2005.25 if year2==2005 & fodtaar>=mdy(4,1,2005) & fodtaar<=mdy(6,30,2005)
replace year2=2005.50 if year2==2005 & fodtaar>=mdy(7,1,2005) & fodtaar<=mdy(9,30,2005)
replace year2=2005.75 if year2==2005 & fodtaar>=mdy(10,1,2005) & fodtaar<=mdy(12,31,2005)
replace year2=2006.25 if year2==2006 & fodtaar>=mdy(4,1,2006) & fodtaar<=mdy(6,30,2006)
replace year2=2006.50 if year2==2006 & fodtaar>=mdy(7,1,2006) & fodtaar<=mdy(9,30,2006)
replace year2=2006.75 if year2==2006 & fodtaar>=mdy(10,1,2006) & fodtaar<=mdy(12,31,2006)


preserve
set scheme s2mono
drop if takeup==. 
drop if eligible==0
tab year2

sort year2
collapse takeup, by(year2)

sort year2

twoway (scatter takeup year2, msize(small) msymbol(circle) mcolor(black)),  xline(1993.25) xlabel(1992 "92" 1993 "93" 1994 "94" 1995 "95" 1996 "96" 1997 "97" 1998 "98" 1999 "99" 2000 "00" 2001 "01" 2002 "02" 2003 "03" 2004 "04" 2005 "05" 2006 "06", labsize(large)) text(.75 1993.25 "<-- April 1, 1993 reform", place(e) size(medium)) ylabel(0(.1).8, labsize(large)) ytitle(Fraction taking leave, size(large)) xtitle(Child's date of birth, size(large))  legend(off)
restore

clear

*Table A7:RD estimates for direct effects of the reform

****Analysis

*STEP 1: create variables
clear
use "/ssb/ovibos/a1/swp/kav/wk24/data/siblings.dta"

*Create sample to study: children born between OCT 92 and SEP 93 
sort fodtaar
gen loww=12144-366
gen highw=12144+365

*total sample to look at births
*gen loww=mdy(1,1,1992)
*gen highw=mdy(12,31,1995)

keep if fodtaar<=highw & fodtaar>=loww


*gen days, fraction for parents

gen fdays93=days_1_f if efodtaar_1_f<highw & efodtaar_1_f>loww
replace fdays93=days_2_f if efodtaar_2_f<highw & efodtaar_2_f>loww & fdays93==.
replace fdays93=days_3_f if efodtaar_3_f<highw & efodtaar_3_f>loww & fdays93==.
replace fdays93=days_4_f if efodtaar_4_f<highw & efodtaar_4_f>loww & fdays93==.
replace fdays93=0 if fodtaar<highw & fodtaar>loww & fdays93==.

gen ffrac93=1 if days_1_f>0 & days_1_f!=. & efodtaar_1_f<highw & efodtaar_1_f>loww
replace ffrac93=1 if days_2_f>0 & days_2_f!=. & efodtaar_2_f<highw & efodtaar_2_f>loww & ffrac93==.
replace ffrac93=1 if days_3_f>0 & days_3_f!=. & efodtaar_3_f<highw & efodtaar_3_f>loww & ffrac93==.
replace ffrac93=1 if days_4_f>0 & days_4_f!=. & efodtaar_4_f<highw & efodtaar_4_f>loww & ffrac93==.
replace ffrac93=0 if fodtaar<highw & fodtaar>loww & ffrac93==.

gen mdays93=days_1_m if efodtaar_1_m<highw & efodtaar_1_m>loww
replace mdays93=days_2_m if efodtaar_2_m<highw & efodtaar_2_m>loww & mdays93==.
replace mdays93=days_3_m if efodtaar_3_m<highw & efodtaar_3_m>loww & mdays93==.
replace mdays93=days_4_m if efodtaar_4_m<highw & efodtaar_4_m>loww & mdays93==.
replace mdays93=0 if fodtaar<highw & fodtaar>loww & mdays93==.

gen mfrac93=1 if days_1_m>0 & days_1_m!=. & efodtaar_1_m<highw & efodtaar_1_m>loww
replace mfrac93=1 if days_2_m>0 & days_2_m!=. & efodtaar_2_m<highw & efodtaar_2_m>loww & mfrac93==.
replace mfrac93=1 if days_3_m>0 & days_3_m!=. & efodtaar_3_m<highw & efodtaar_3_m>loww & mfrac93==.
replace mfrac93=1 if days_4_m>0 & days_4_m!=. & efodtaar_4_m<highw & efodtaar_4_m>loww & mfrac93==.
replace mfrac93=0 if fodtaar<highw & fodtaar>loww & mfrac93==.


***create labour outcomes for parents

*clean up earnings variabels - set missings to zero
forvalues i=1990(1)2008{
replace finc`i'=0 if finc`i'==.
replace minc`i'=0 if minc`i'==. 
} 

*numbers for G - to create eligibility and employment
gen G1990=33575
gen G1991=35033
gen G1992=36167
gen G1993=37033
gen G1994=37820
gen G1995=38847
gen G1996=40410
gen G1997=42000
gen G1998=44413
gen G1999=46423
gen G2000=48377
gen G2001=50603
gen G2002=53233
gen G2003=55964
gen G2004=58139
gen G2005=60059
gen G2006=62161
gen G2007=65055
gen G2008=69108

*eligibility status based on mothers earnings

gen eligible=1 if minc1991>G1991 & minc1991!=. & faar==1992
replace eligible=1 if minc1992>G1992 & minc1992!=. & faar==1993
replace eligible=1 if minc1993>G1993 & minc1993!=. & faar==1994
replace eligible=1 if minc1994>G1994 & minc1994!=. & faar==1995
replace eligible=0 if eligible==.

*father eligibile
gen feligible=1 if finc1991>G1991 & finc1991!=. & faar==1992
replace feligible=1 if finc1992>G1992 & finc1992!=. & faar==1993
replace feligible=1 if finc1993>G1993 & finc1993!=. & faar==1994
replace feligible=1 if finc1994>G1994 & finc1994!=. & faar==1995
replace feligible=0 if feligible==.

*marital status year before reform
gen mstatbefore=(mstat1991_mor==2) if mstat1991_mor!=. & faar==1992
replace mstatbefore=(mstat1992_mor==2) if mstat1992_mor!=. & faar==1993
replace mstatbefore=(mstat1993_mor==2) if mstat1993_mor!=. & faar==1994

*education year before reform father
gen educ_far=educ1991_far if faar==1992
replace educ_far=educ1992_far if faar==1993
replace educ_far=educ1993_far if faar==1994

*education year before reform mother
gen educ_mor=educ1991_mor if faar==1992
replace educ_mor=educ1992_mor if faar==1993
replace educ_mor=educ1993_mor if faar==1994

*county of residence year before reform mother
gen county_mor=int(mun1991_mor/100) if faar==1992
replace county_mor=int(mun1992_mor/100) if faar==1993
replace county_mor=int(mun1993_mor/100) if faar==1994

*county of residence year before reform father
gen county_far=int(mun1991_far/100) if faar==1992
replace county_far=int(mun1992_far/100) if faar==1993
replace county_far=int(mun1993_far/100) if faar==1994

*employed one-fourteen years after father and mother
forvalues i=1(1)14{
gen femp`i'=.
gen memp`i'=.
}

forvalues i=1(1)14{
forvalues j=1992(1)1994{
local k=`j'+`i'
replace femp`i'=(finc`k'>(G`k')) if finc`k'!=. & faar==`j'
replace memp`i'=(minc`k'>(G`k')) if minc`k'!=. & faar==`j'
} 
}

*total years of employment (max 12 years) father
gen femptot=femp3+femp4+femp5+femp6+femp7+femp8+femp9+femp10+femp11+femp12+femp13+femp14


*total years of employment (max 14 years) mother
gen memptot=memp3+memp4+memp5+memp6+memp7+memp8+memp9+memp10+memp11+memp12+memp13+memp14


****CPI adjust mothers and fathers income - to 2007 income

gen kpi1990=70.6
gen kpi1991=73.0
gen kpi1992=74.7
gen kpi1993=76.4
gen kpi1994=77.5
gen kpi1995=79.4
gen kpi1996=80.4
gen kpi1997=82.5
gen kpi1998=84.3
gen kpi1999=86.3
gen kpi2000=89.0
gen kpi2001=91.7
gen kpi2002=92.8
gen kpi2003=95.1
gen kpi2004=95.5
gen kpi2005=97.1
gen kpi2006=99.2
gen kpi2007=100
gen kpi2008=103.8

forvalues i=1990(1)2008{
replace minc`i'=(minc`i'*100)/kpi`i'
replace finc`i'=(finc`i'*100)/kpi`i'
}


*earnings two years after father and mother
gen finc2=.
gen minc2=.
forvalues i=1994(1)1996{
replace finc2=finc`i' if faar==`i'-2
replace minc2=minc`i' if faar==`i'-2
}

*total annuity of earnings (14 years) father

gen finctot=((finc1995/1.023^1)+(finc1996/1.023^2)+(finc1997/1.023^3)+(finc1998/1.023^4)+(finc1999/1.023^5)+(finc2000/1.023^6)+(finc2001/1.023^7)+(finc2002/1.023^8)+(finc2003/1.023^9)+(finc2004/1.023^10)+(finc2005/1.023^11)+(finc2006/1.023^12))/12 if faar==1992
replace finctot=((finc1996/1.023^1)+(finc1997/1.023^2)+(finc1998/1.023^3)+(finc1999/1.023^4)+(finc2000/1.023^5)+(finc2001/1.023^6)+(finc2002/1.023^7)+(finc2003/1.023^8)+(finc2004/1.023^9)+(finc2005/1.023^10)+(finc2006/1.023^11)+(finc2007/1.023^12))/12 if faar==1993
replace finctot=((finc1997/1.023^1)+(finc1998/1.023^2)+(finc1999/1.023^3)+(finc2000/1.023^4)+(finc2001/1.023^5)+(finc2002/1.023^6)+(finc2003/1.023^7)+(finc2004/1.023^8)+(finc2005/1.023^9)+(finc2006/1.023^10)+(finc2007/1.023^11)+(finc2008/1.023^12))/12 if faar==1994

*total annuity of earnings (14 years) mother

gen minctot=((minc1995/1.023^1)+(minc1996/1.023^2)+(minc1997/1.023^3)+(minc1998/1.023^4)+(minc1999/1.023^5)+(minc2000/1.023^6)+(minc2001/1.023^7)+(minc2002/1.023^8)+(minc2003/1.023^9)+(minc2004/1.023^10)+(minc2005/1.023^11)+(minc2006/1.023^12))/12 if faar==1992
replace minctot=((minc1996/1.023^1)+(minc1997/1.023^2)+(minc1998/1.023^3)+(minc1999/1.023^4)+(minc2000/1.023^5)+(minc2001/1.023^6)+(minc2002/1.023^7)+(minc2003/1.023^8)+(minc2004/1.023^9)+(minc2005/1.023^10)+(minc2006/1.023^11)+(minc2007/1.023^12))/12 if faar==1993
replace minctot=((minc1997/1.023^1)+(minc1998/1.023^2)+(minc1999/1.023^3)+(minc2000/1.023^4)+(minc2001/1.023^5)+(minc2002/1.023^6)+(minc2003/1.023^7)+(minc2004/1.023^8)+(minc2005/1.023^9)+(minc2006/1.023^10)+(minc2007/1.023^11)+(minc2008/1.023^12))/12 if faar==1994

*employed two years after gender
gen ggemp2=memp2/(memp2+femp2)
replace ggemp2=.5 if memp2==0 & femp2==0

*total years of employment gender
gen ggemptot=memptot/(memptot+femptot)
replace ggemptot=.5 if memptot==0 & femptot==0

*earnings two years after gender
gen gginc2=minc2/(minc2+finc2)
replace gginc2=.5 if minc2==0 & finc2==0

*total annuity of earnings gender
gen gginctot=minctot/(minctot+finctot)
replace gginctot=.5 if minctot==0 & finctot==0

*number of children 14 years after
gen nkids14=nkids2006_mor if faar==1992
replace nkids14=nkids2007_mor if faar==1993
replace nkids14=nkids2008_mor if faar==1994

*married 14 years after
gen marr14=1 if mstat2006_mor==2 & faar==1992
replace marr14=1 if mstat2007_mor==2 & faar==1993
replace marr14=1 if mstat2008_mor==2 & faar==1994
replace marr14=0 if marr14==.

*married 14 years after given not married in reform year
gen marr14notbefore=1 if mstat2006_mor==2 & mstat1991_mor!=2 & faar==1992
replace marr14notbefore=1 if mstat2007_mor==2 & mstat1992_mor!=2 & faar==1993
replace marr14notbefore=1 if mstat2008_mor==2 & mstat1993_mor!=2 & faar==1994
replace marr14notbefore=0 if marr14notbefore==.

*married 14 years after given married in reform year
gen marr14before=1 if mstat2006_mor==2 & mstat1991_mor==2 & faar==1992
replace marr14before=1 if mstat2007_mor==2 & mstat1992_mor==2 & faar==1993
replace marr14before=1 if mstat2008_mor==2 & mstat1993_mor==2 & faar==1994
replace marr14before=0 if marr14before==.


****Step 2: analysis

*age of fatehr, mother in years

gen year_far=year(far_fodtaar)
gen year_mor=year(mor_fodtaar)
gen year_child=year(fodtaar)
gen age_far=year_child-year_far
gen age_mor=year_child-year_mor

gen age_far2=age_far*age_far
gen age_mor2=age_mor*age_mor

*college of father, mother, brother
gen coll_far=(educ_far>13) if educ_far!=.
gen coll_mor=(educ_mor>13) if educ_mor!=.

*female
gen female=1 if kjonn==2
replace female=0 if kjonn==1

*month year dummies child
gen month_child=month(fodtaar)
gen child_mo_year=100*year_child+month_child


***sample restriction on eligibility
drop if eligible==0
drop if feligible==0


*drop one week window
drop if fodtaar>mdy(3,24,1993) & fodtaar<mdy(4,8,1993)

*****regressions

gen reform=1 if fodtaar>=12144
replace reform=0 if fodtaar<12144

gen nreform=1 if fodtaar<12144
replace nreform=0 if fodtaar>=12144

*genereate month and week
gen month=month(fodtaar)
forvalues i=1(1)12{
replace month=`i'-12 if month==`i' & fodtaar<mdy(1,1,1993)
replace month=12+`i' if month==`i' & fodtaar>mdy(12,31,1993)
} 


gen week=week(fodtaar)
forvalues i=1(1)52{
replace week=`i'-52 if week==`i' & fodtaar<12054
replace week=52+`i' if week==`i' & fodtaar>12419
}

***generate linear slopes

*days
gen dslope=fodtaar-12144
gen dslope1=dslope*reform
gen dslope2=dslope*nreform
gen dslope12=dslope1*dslope1
gen dslope22=dslope2*dslope2
gen dslope13=dslope1*dslope1*dslope1
gen dslope23=dslope2*dslope2*dslope2


*week
gen wslope=week-12
gen wslope1=wslope*reform
gen wslope2=wslope*nreform
gen wslope12=wslope1*wslope1
gen wslope22=wslope2*wslope2

*month
gen mslope=month-3
gen mslope1=mslope*reform
gen mslope2=mslope*nreform
gen mslope12=mslope1*mslope1
gen mslope22=mslope2*mslope2

***triangular weights
gen triw=1-abs((fodtaar-12144)/365)
replace triw=1/365 if triw==0

*create dummies for missing obs on cov ariates

gen miss1=(coll_far==.)
gen miss2=(coll_mor==.)
gen miss3=(mstatbefore==.)
gen miss4=(county_mor==.)

replace coll_far=-7 if coll_far==.
replace coll_mor=-8 if coll_mor==.
replace mstatbefore=-9 if mstatbefore==.  
replace county_mor=-10 if county_mor==.

***reduced form

gen d92=(faar==1992)
gen d93=(faar==1993)
gen d94=(faar==1994)

gen year92=fodtaar*d92
gen year93=fodtaar*d93
gen year94=fodtaar*d94



*effects on fathers
xi: reg femptot reform dslope1 dslope2 d92 d93 coll_far coll_mor age_far age_mor age_far2 age_mor2 mstatbefore female i.county_mor miss1 miss2 miss3 miss4 [pw=triw] , robust cluster(fodtaar)
xi: reg finctot reform dslope1 dslope2 d92 d93 coll_far coll_mor age_far age_mor age_far2 age_mor2 mstatbefore female i.county_mor miss1 miss2 miss3 miss4  [pw=triw] , robust cluster(fodtaar)
sum femptot finctot

*effects on mothers
xi: reg memptot reform dslope1 dslope2 d92 d93 coll_far coll_mor age_far age_mor age_far2 age_mor2 mstatbefore female i.county_mor miss1 miss2 miss3 miss4  [pw=triw] , robust cluster(fodtaar)
xi: reg minctot reform d92 d93 dslope1 dslope2 coll_far coll_mor age_far age_mor age_far2 age_mor2 mstatbefore female i.county_mor miss1 miss2 miss3 miss4  [pw=triw] , robust cluster(fodtaar)
sum memptot minctot

*effects on gender
xi: reg ggemptot reform dslope1 dslope2 d92 d93 coll_far coll_mor age_far age_mor age_far2 age_mor2 mstatbefore female i.county_mor miss1 miss2 miss3 miss4  [pw=triw] , robust cluster(lnr)
xi: reg gginctot reform d92 d93 dslope1 dslope2 coll_far coll_mor age_far age_mor age_far2 age_mor2 mstatbefore female i.county_mor miss1 miss2 miss3 miss4  [pw=triw] , robust cluster(lnr)
sum ggemptot gginctot

*effects on children
xi:reg gpaaver reform dslope1 dslope2 year92 year93 year94 d92 d93 coll_far coll_mor age_far age_mor age_far2 age_mor2 mstatbefore female i.county_mor miss1 miss2 miss3 miss4 [pw=triw], robust
sum gpaaver

*effect on number of children and marriage
xi: reg nkids14 reform  coll_far coll_mor age_far age_mor age_far2 age_mor2 mstatbefore female i.county_mor miss1 miss2 miss3 miss4  [pw=triw] , robust cluster(lnr)
xi: reg marr14 reform dslope1 dslope2  d92 d93 coll_far coll_mor age_far age_mor age_far2 age_mor2 mstatbefore female i.county_mor miss1 miss2 miss3 miss4  [pw=triw] , robust cluster(lnr)
sum nkids14 marr14


log close
